package com.intershop.sellside.rest.mycoupon.v1.capi;

import com.intershop.sellside.rest.common.v1.capi.CommonConstantsREST.IgnoreLocalizationTest;

import jakarta.ws.rs.core.MediaType;

/**
 * Constants used by multiple REST requests/resources/resource objects.
 */
public final class MyCouponConstantsREST
{
    /**
     * A {@link String} constant representing the media type for V1 coupon requests.
     */
    @IgnoreLocalizationTest
    public static final String MEDIA_TYPE_MYCOUPON_V1_JSON = "application/vnd.intershop.mycoupon.v1+json";

    /**
     * Media type for V1 site coupon.
     */
    public static final MediaType MEDIA_TYPE_MYCOUPON_V1_JSON_TYPE = new MediaType("application", "vnd.intershop.mycoupon.v1+json");

    /**
     * Path for V1 coupon resources.
     */
    @IgnoreLocalizationTest
    public static final String RESOURCE_PATH_MY_COUPON_V1 = "mycoupons";

    /**
     * Error code if a coupon could not be resolved
     */
    public static final String ERROR_COUPON_NOT_FOUND = "mycoupon.not_found.error";

    /**
     * Error code if a coupon could not be resolved
     */
    public static final String ERROR_MISSING_EMAIL = "mycoupon.missing_email.error";
    
    /**
     * Error code if a coupon could not be resolved
     */
    public static final String ERROR_COUPON_NOT_CREATED = "mycoupon.generate_not_possible.error";

    private MyCouponConstantsREST()
    {
        // restrict instantiation
    }
}