package com.intershop.sellside.rest.mycoupon.v1.capi.handler;

import com.intershop.sellside.rest.common.v1.capi.handler.FeedbackHandler;
import com.intershop.sellside.rest.mycoupon.v1.capi.MyCouponConstantsREST;

import jakarta.ws.rs.core.Response;

/**
 * Handler for REST feedback.
 */
public interface MyCouponFeedbackHandler extends FeedbackHandler
{
    /**
     * Returns a {@link Response} indicating that the requested coupon could not be found.
     * 
     * @return a {@link Response} containing an error feedback with HTTP status 404 and error code
     *         {@link MyCouponConstantsREST#ERROR_COUPON_NOT_FOUND}
     */
    Response getCouponNotFoundResponse();
    
    /**
     * Returns a {@link Response} indicating that the email is missing.
     * 
     * @return a {@link Response} containing an error feedback with HTTP status 404 and error code
     *         {@link MyCouponConstantsREST#ERROR_MISSING_EMAIL}
     */
    Response getMissingEmailResponse();
    
    /**
     * Returns a {@link Response} indicating that the coupon could not be created.
     * 
     * @return a {@link Response} containing an error feedback with HTTP status 204 and error code
     *         {@link MyCouponConstantsREST#ERROR_COUPON_NOT_CREATED}
     */
    Response getCouldNotCreateACouponResponse();
}
