package com.intershop.sellside.rest.mycoupon.v1.capi.handler;

import java.util.Collection;

import com.intershop.support.component.mycoupon.capi.MyCouponBO;

/**
 * Handler for REST mycoupons operations.
 */
public interface MyCouponHandler
{
    /**
     * A list of {@link MyCouponBO}
     * @return A list of {@link MyCouponBO}
     */
    Collection<MyCouponBO> getMyCouponBOs();
    
    /**
     * Returns a {@link MyCouponBO} by the given couponId
     * @param couponId The coupon
     * @return The {@link MyCouponBO}
     */
    MyCouponBO getMyCouponByCode(String couponId);

    /**
     * Create a {@link MyCouponBO} by given email
     * @param email The email
     * @return The {@link MyCouponBO}
     */
    MyCouponBO generateMyCoupon(String email);         
}
