package com.intershop.sellside.rest.mycoupon.v1.capi.resourceobject.mycoupon;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.intershop.component.rest.capi.resourceobject.AbstractResourceObject;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * This is the resource object for my coupon code.
 */
@Schema(name = "MyCouponRO_v1", description = "Describes a Coupon object.")
@JsonInclude(value = JsonInclude.Include.NON_EMPTY)
@JsonPropertyOrder(alphabetic = true)
public class MyCouponRO extends AbstractResourceObject
{
    public final static String TYPENAME = "MyCoupon";
    public final static String NAME = "MyCoupon";

    private String code;

    public MyCouponRO()
    {
        super(NAME);
    }

    /**
     * @return the coupon code
     */
    @Schema(description = "The coupon code", example = "US", accessMode = Schema.AccessMode.READ_ONLY, type = "java.lang.String")
    public String getCode()
    {
        return code;
    }

    /**
     * @param code the coupon code to set
     */
    public void setCode(String code)
    {
        this.code = code;
    }

    @Override
    @Schema(description = "The type of the object", example = TYPENAME)
    public String getType()
    {
        return TYPENAME;
    }       
}
