package com.intershop.sellside.rest.mycoupon.v1.internal.handler;

import static com.intershop.sellside.rest.mycoupon.v1.capi.MyCouponConstantsREST.ERROR_COUPON_NOT_CREATED;
import static com.intershop.sellside.rest.mycoupon.v1.capi.MyCouponConstantsREST.ERROR_COUPON_NOT_FOUND;
import static com.intershop.sellside.rest.mycoupon.v1.capi.MyCouponConstantsREST.ERROR_MISSING_EMAIL;

import com.intershop.sellside.rest.common.v1.capi.handler.FeedbackHandlerImpl;
import com.intershop.sellside.rest.common.v1.capi.resourceobject.feedback.FeedbackCtnrRO;
import com.intershop.sellside.rest.common.v1.capi.resourceobject.feedback.FeedbackRO;
import com.intershop.sellside.rest.mycoupon.v1.capi.handler.MyCouponFeedbackHandler;

import jakarta.ws.rs.core.Response;

/**
 * Default {@link MyCouponFeedbackHandler} implementation.
 */
public class MyCouponFeedbackHandlerImpl extends FeedbackHandlerImpl implements MyCouponFeedbackHandler
{
    @Override
    public Response getCouponNotFoundResponse()
    {
        FeedbackRO feedbackRO = feedbackBuilderProvider.get() //
                        .withStatus(Response.Status.NOT_FOUND) //
                        .withCode(ERROR_COUPON_NOT_FOUND) //
                        .build();
        FeedbackCtnrRO containerRO = new FeedbackCtnrRO();
        containerRO.addError(feedbackRO);
        return Response.status(Response.Status.NOT_FOUND).entity(containerRO).build();
    }

    @Override
    public Response getMissingEmailResponse()
    {
        FeedbackRO feedbackRO = feedbackBuilderProvider.get() //
                        .withStatus(Response.Status.BAD_REQUEST) //
                        .withCode(ERROR_MISSING_EMAIL) //
                        .build();
        FeedbackCtnrRO containerRO = new FeedbackCtnrRO();
        containerRO.addError(feedbackRO);
        return Response.status(Response.Status.BAD_REQUEST).entity(containerRO).build();
    }

    @Override
    public Response getCouldNotCreateACouponResponse()
    {
        FeedbackRO feedbackRO = feedbackBuilderProvider.get() //
                        .withStatus(Response.Status.NO_CONTENT) //
                        .withCode(ERROR_COUPON_NOT_CREATED) //
                        .build();
        FeedbackCtnrRO containerRO = new FeedbackCtnrRO();
        containerRO.addError(feedbackRO);
        return Response.status(Response.Status.NO_CONTENT).entity(containerRO).build();
    }
}
