package com.intershop.sellside.rest.mycoupon.v1.internal.mapper.mycoupon;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.core.Is.is;
import static org.mockito.Mockito.when;

import org.junit.Before;
import org.junit.Rule;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.junit.MockitoJUnit;
import org.mockito.junit.MockitoRule;

import com.intershop.sellside.rest.mycoupon.v1.capi.resourceobject.mycoupon.MyCouponRO;
import com.intershop.support.component.mycoupon.capi.MyCouponBO;

/**
 * Unit test for {@link MyCouponROMapper}.
 */
public class MyCouponROMapperTest
{
    private static final String COUPON_CODE = "CouponCode";
        
    @Mock private MyCouponBO myCouponBO;
    
    @Rule
    public MockitoRule rule = MockitoJUnit.rule();
    
    @InjectMocks
    private MyCouponROMapper mapper = new MyCouponROMapper();
    
    @Before
    public void init()
    {
        when(myCouponBO.getCode()).thenReturn(COUPON_CODE);
    }

    @Test
    public void testApply()
    {
        MyCouponRO myCouponRO = mapper.apply(myCouponBO);
        assertThat(myCouponRO.getCode(), is(COUPON_CODE));
    }
}
